#version 300 es
precision highp float;

uniform sampler2D uMainTex1;
uniform sampler2D uMainTex2;

uniform float uRate;

in vec2 vUV;
out vec4 fragColor;

void main() {
    vec2 uv = vUV;
    vec4 blendColor1 = texture(uMainTex1, uv);
    vec4 blendColor2 = texture(uMainTex2, uv);
    fragColor = mix(blendColor1, blendColor2, uRate);
}